Index: frontend/src/Pages/ConnectedAccountsPage.js
===================================================================
--- frontend/src/Pages/ConnectedAccountsPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ 	(revision )
@@ -1,38 +1,0 @@
-import React from "react";
-import Navigation from "../Components/Layout/Navbar/Navigation";
-import {Container, Row} from "react-bootstrap";
-import ConnectedAccountsTable from "../Components/ConnectedAccounts/ConnectedAccountsTable";
-import LoginForm from "../Components/Login/LoginForm";
-import {useAuth} from "../Components/Context/AuthContext";
-import useGet from "../Components/Hooks/useGet";
-
-const ConnectedAccountsPage = () => {
-    const Auth = useAuth();
-    console.log(Auth.getUser())
-    const { data, isLoading, setData, getData, setChanged } = useGet(`/users/${Auth.getUser().userId}/connected`);
-
-
-    return (
-        <>
-            <Navigation/>
-            <Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Поврзани профили</h2>
-                </Row>
-            </Container>
-            <Container>
-                {!isLoading && <ConnectedAccountsTable data={data}></ConnectedAccountsTable>}
-            </Container>
-            <Container className={'mt-5'}>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Поврзи нов локален профил</h2>
-                </Row>
-            </Container>
-            <Container className={'w-50'}>
-                <LoginForm refresh={setChanged}></LoginForm>
-            </Container>
-        </>
-    )
-}
-
-export default ConnectedAccountsPage;
Index: frontend/src/Pages/HomePage.js
===================================================================
--- frontend/src/Pages/HomePage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/HomePage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -43,5 +43,5 @@
       </Container>
       <Container className="my-5">
-        {/*<BecomeAHost></BecomeAHost>*/}
+        <BecomeAHost></BecomeAHost>
       </Container>
     </>
Index: frontend/src/Pages/HotelDetailsPage.js
===================================================================
--- frontend/src/Pages/HotelDetailsPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/HotelDetailsPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,5 +1,5 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
-import {Container, Row, Col, Form, FloatingLabel, Modal, Button} from "react-bootstrap";
+import { Container, Row, Col, Form } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
@@ -48,5 +48,5 @@
                     }}
                   >
-                    {data.averageScore.toFixed(1)}
+                    9.1
                   </span>
                 </Col>
@@ -69,7 +69,6 @@
                   placeholder="Каде ќе патувате?:"
                   id="location"
-                  value={data.hotelLocation}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
+                <label htmlFor="location">Локација:</label>
               </Form.Floating>
             </Row>
@@ -81,7 +80,6 @@
                   placeholder="Датум на пристигнување:"
                   id="dateFrom"
-                  value={from}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на пристигнување:</label>
+                <label htmlFor="dateFrom">Датум на пристигнување:</label>
               </Form.Floating>
             </Row>
@@ -93,7 +91,6 @@
                   placeholder="Датум на заминување:"
                   id="dateTo"
-                  value={to}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="dateTo">Датум на заминување:</label>
+                <label htmlFor="dateTo">Датум на заминување:</label>
               </Form.Floating>
             </Row>
@@ -106,5 +103,5 @@
                   id="floatingPassengers"
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
+                <label htmlFor="floatingPassengers">Број на гости:</label>
               </Form.Floating>
             </Row>
@@ -114,20 +111,4 @@
               <Row>
                 <Carousel activeIndex={index} onSelect={handleSelect}>
-                  {data.images.map((image) => {
-                    let link = image.url;
-                    if (image.url.includes('Desktop')) {
-                      link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
-                    }
-                    return (
-                        <Carousel.Item>
-                          <img
-                              className="d-block w-100 h-400 rounded-5"
-                              src={link}
-                              alt="First slide"
-                              style={{ height: "50vh" }}
-                          />
-                        </Carousel.Item>
-                    )
-                  })}
                   <Carousel.Item>
                     <img
@@ -164,5 +145,5 @@
         <Row className="mb-5">
           <Col className="col-md-8"><DescriptionContainer data={data.hotelDescripiton} type="hotel"></DescriptionContainer></Col>
-          <Col className="col-md-4"><ReviewsCarousel reviews={data.hotelReviews}></ReviewsCarousel></Col>
+          <Col className="col-md-4"><ReviewsCarousel></ReviewsCarousel></Col>
         </Row>
         <Row className="mb-3"><RoomsTable from={from} to={to} data={data.hotelRooms}></RoomsTable></Row>
Index: frontend/src/Pages/HotelEditPage.js
===================================================================
--- frontend/src/Pages/HotelEditPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/HotelEditPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,60 +1,59 @@
-import React, {useState} from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import React, { useState } from "react";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
 import HotelEditTab from "../Components/HotelEdit/HotelEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams } from "react-router-dom";
 
 
 const HotelEditPage = () => {
 
-    const params = useParams();
-    const link = `/hotel/${params.hotelId}/list`;
-    const [changed, setChanged] = useState(0)
-    const {data, setData, isLoading, getData} = useGet(link, changed);
+  const params = useParams();
+  const link = "/hotel/list/" + params.hotelId;
+  const [changed, setChanged] = useState(0)
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
 
-    console.log(data)
-    return (
-        <>
-            <Navigation/>
-            {!isLoading && <Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                </Row>
-                <Row className="mb-5">
-                    <Col>
-                        <Row className="d-flex mb-3">
-                            <Col
-                                className="d-flex justify-content-center"
-                                style={{maxWidth: "30%"}}
-                            >
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "5em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{data.hotelName}</h4>
-                                    <h5>{data.hotelLocation}</h5>
-                                </Container>
-                            </Col>
-                        </Row>
-                    </Col>
-                </Row>
-                <Row>
-                    <HotelEditTab refresh={setChanged} displayRoom={data}/>
-                </Row>
-            </Container>}
-        </>
-    );
+  console.log(data)
+  return (
+    <>
+      <Navigation />
+      {!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.hotelName}</h4>
+                  <h5>{data.hotelLocation}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <HotelEditTab refresh={setChanged} displayRoom={data}/>
+        </Row>
+      </Container>}
+    </>
+  );
 };
 
Index: frontend/src/Pages/LoginErrorPage.js
===================================================================
--- frontend/src/Pages/LoginErrorPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/LoginErrorPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -11,4 +11,5 @@
     const [show, setShow] = useState(false);
     const [changed, setChanged] = useState(0);
+    const {data, isLoading} = useGet("/username")
     const userId = localStorage.getItem("userId")
     const [registered, setRegistered] = useState(false);
Index: frontend/src/Pages/LoginPage.js
===================================================================
--- frontend/src/Pages/LoginPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/LoginPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -3,7 +3,4 @@
 import { Container } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
-
 
 const LoginPage = () => {
@@ -11,12 +8,4 @@
   document.body.style.marginTop = "auto";
   document.body.style.marginBottom = "auto";
-
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
-
-    if (isLoggedIn) {
-        return <Navigate to={'/home'}/>
-    }
-
   return (
     <>
Index: frontend/src/Pages/NoBusinessRegisteredError.js
===================================================================
--- frontend/src/Pages/NoBusinessRegisteredError.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/NoBusinessRegisteredError.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -6,13 +6,11 @@
 import RegisterBusinessForm from "../Components/Forms/RegisterBusinessForm";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useNavigate} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useNavigate } from "react-router-dom";
 
 const NoBusinessRegisteredError = (props) => {
   const [show, setShow] = useState(false);
   const [changed, setChanged] = useState(0);
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
-  const userId = Auth.getUser().userId
+  const {data, isLoading} = useGet("/username")
+  const userId = localStorage.getItem("userId")
   const [registered, setRegistered] = useState(false);
   let checked = false;
@@ -26,6 +24,5 @@
   
   const { data: firma, isLoading: firmaIsLoading, getData: getFirmi} = useGet("/business/" + userId + "/unapproved", changed)
-  const { data, isLoading, getData} = useGet("/" + userId + "/hasBusiness")
-
+  
 
   useEffect(() => {
@@ -48,10 +45,8 @@
 
 
-  if(!isLoggedIn)
-  {
-    return <Navigate to={'/login'}/>
-  }
+  console.log(data)
 
-  !isLoading && data && navigator("/resources/hotel")
+  !isLoading && !data && navigator("/login")
+  !firmaIsLoading && firma && firma.length > 0 && firma[0].approved && navigator("/resources/hotel")
   
 
Index: frontend/src/Pages/ProfilePage.js
===================================================================
--- frontend/src/Pages/ProfilePage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/ProfilePage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -8,13 +8,10 @@
 import ChangePasswordForm from "../Components/Forms/ChangePasswordForm";
 import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
 
 const ProfilePage = () => {
 
-    const { data, setData, isLoading, getData } = useGet("/principal");
+  const { data, setData, isLoading, getData } = useGet("/principal");
 
-
-
+  
     const profileData = {
         "name": "Марко",
@@ -22,5 +19,5 @@
         "address": "ул. Раскрсница бр. 10",
         "dateOfBirth": "2002-01-01",
-        "country": "Македонија",
+        "country": "Никогаш Северна само МАКЕДОНИЈА",
         "zip": "1000",
         "city": "Скопје",
@@ -30,9 +27,8 @@
 
 
-
   return (
     <>
       <Navigation />
-    {!isLoading && <Container>
+{      !isLoading && <Container>
         <Row className="mb-5">
           <h2 style={{ color: "#159895", textAlign: "left" }}>Мојот профил</h2>
Index: frontend/src/Pages/ProfilesManagementPage.js
===================================================================
--- frontend/src/Pages/ProfilesManagementPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ 	(revision )
@@ -1,47 +1,0 @@
-import React from "react";
-import {Container, Col, Row, Image, Tabs, Tab} from "react-bootstrap";
-import Navigation from "../Components/Layout/Navbar/Navigation";
-import ResourcesTab from "../Components/Resources/ResourcesTab";
-import {useState} from "react";
-import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
-import {FaCheckCircle} from "react-icons/fa";
-import UnapprovedBusinessesTable from "../Components/AdminPanel/UnapprovedBusinessesTable";
-import UnapprovedProfilesTable from "../Components/AdminPanel/UnapprovedProfilesTable";
-import AllProfilesTable from "../Components/AdminPanel/AllProfilesTable";
-
-const ProfilesManagementPage = (props) => {
-
-    console.log(props.tab)
-
-
-    return (
-        <>
-            <Navigation/>
-            <Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Менаџмент со профили</h2>
-                </Row>
-            </Container>
-            <Container>
-                <Tabs
-                    defaultActiveKey="home"
-                    id="uncontrolled-tab-example"
-                    className="mb-3"
-                >
-                    <Tab eventKey="home" title="Неодобрени регистрации за фирма">
-                        <UnapprovedBusinessesTable/>
-                    </Tab>
-                    <Tab eventKey="profile" title="Неверифицирани профили">
-                        <UnapprovedProfilesTable/>
-                    </Tab>
-                    <Tab eventKey="contact" title="Сите профили">
-                        <AllProfilesTable/>
-                    </Tab>
-                </Tabs>
-            </Container>
-        </>)
-}
-
-export default ProfilesManagementPage;
Index: frontend/src/Pages/ResourcesPage.js
===================================================================
--- frontend/src/Pages/ResourcesPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/ResourcesPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,55 +1,54 @@
 import React from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
-import {useState} from "react";
+import { useState } from "react";
 import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
 
 const ResourcesPage = (props) => {
 
-    const Auth = useAuth();
-    const user = Auth.getUser();
+  console.log(props.tab)
+  const { data, setData, isLoading, getData } = useGet("/principal");
 
-    return (
-        <>
-            <Navigation/>
-            {<Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                </Row>
-                <Row className="mb-5">
-                    <Col>
-                        <Row className="d-flex mb-3">
-                            <Col
-                                className="d-flex justify-content-center"
-                                style={{maxWidth: "30%"}}
-                            >
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "5em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{user.name + " " + user.surname}</h4>
-                                    <h5>{user.username}</h5>
-                                </Container>
-                            </Col>
-                        </Row>
-                    </Col>
-                </Row>
-                <Row>
-                    <ResourcesTab tab={props.tab}></ResourcesTab>
-                </Row>
-            </Container>}
-        </>
-    );
+
+  return (
+    <>
+      <Navigation />
+{!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.name + " " + data.surname}</h4>
+                  <h5>{data.email}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <ResourcesTab tab={props.tab}></ResourcesTab>
+        </Row>
+      </Container>}
+    </>
+  );
 };
 
Index: frontend/src/Pages/RestaurantDetailsPage.js
===================================================================
--- frontend/src/Pages/RestaurantDetailsPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/RestaurantDetailsPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,8 +1,8 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
-import {Container, Row, Col, Form} from "react-bootstrap";
+import { Container, Row, Col, Form } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
-import {useState} from "react";
+import { useState } from "react";
 import DescriptionContainer from "../Components/HotelDetails/DescriptionContainer";
 import ReviewsCarousel from "../Components/HotelDetails/ReviewsCarousel";
@@ -11,168 +11,140 @@
 import Menu from "../Components/RestaurantDetails/Menu";
 import MenuCarousel from "../Components/RestaurantDetails/Carousel";
-import {useLocation} from "react-router-dom";
-import TablesTable from "../Components/RestaurantDetails/TablesTable";
 
 const RestaurantDetailsPage = (props) => {
-    document.body.style.backgroundColor = "white";
+  document.body.style.backgroundColor = "white";
 
-    const [index, setIndex] = useState(0);
-    const location = useLocation();
-    const {data, params: formData} = location.state;
+  const [index, setIndex] = useState(0);
 
-    const handleSelect = (selectedIndex) => {
-        setIndex(selectedIndex);
-    };
+  const handleSelect = (selectedIndex) => {
+    setIndex(selectedIndex);
+  };
 
-    return (
-        <>
-            <Navigation/>
-            <Container className="my-3">
-                <Row className="d-flex justify-content-between">
-                    <Col style={{textAlign: "left"}}>
-                        <h2 style={{color: "#159895"}}>{data.restaurantName}</h2>
-                    </Col>
-                    <Col>
-                        <Container>
-                            <Row className="mb-4">
-                                <Col style={{textAlign: "right"}}>
+  return (
+    <>
+      <Navigation />
+      <Container className="my-3">
+        <Row className="d-flex justify-content-between">
+          <Col style={{textAlign: "left"}}>
+            <h2 style={{color: "#159895"}}>Име на ресторант</h2>
+          </Col>
+          <Col>
+            <Container>
+              <Row className="mb-4">
+                <Col style={{textAlign: "right"}}>
                   <span
-                      style={{
-                          backgroundColor: "#159895",
-                          padding: "0.75em",
-                          fontWeight: "bold",
-                          fontSize: "1.25rem",
-                          borderRadius: "0.75em",
-                          color: "white",
-                      }}
+                    style={{
+                      backgroundColor: "#159895",
+                      padding: "0.75em",
+                      fontWeight: "bold",
+                      fontSize: "1.25rem",
+                      borderRadius: "0.75em",
+                      color: "white",
+                    }}
                   >
-                    {data.averageScore.toFixed(1)}
+                    9.1
                   </span>
-                                </Col>
-                            </Row>
-                        </Container>
-                    </Col>
-                </Row>
-                <Row>
-                    <Col
-                        className="p-3 rounded-4"
-                        sm={3}
-                        style={{backgroundColor: "#002B5B"}}
-                    >
-                        <Row>
-                            <h3 className="mb-5 mt-3" style={{color: "white"}}>Критериуми од пребарувањето</h3>
-                            <Form.Floating className="mb-3">
-                                <Form.Control
-                                    size="md"
-                                    type="text"
-                                    placeholder="Каде ќе патувате?:"
-                                    id="location"
-                                    name={'restaurantLocation'}
-                                    value={formData.restaurantLocation}
-                                ></Form.Control>
-                                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
-                            </Form.Floating>
-                        </Row>
-                        <Row>
-                            <Form.Floating className="mb-3">
-                                <Form.Control
-                                    size="md"
-                                    type="date"
-                                    placeholder="Датум на резервација:"
-                                    id="date"
-                                    name={'date'}
-                                    value={formData.date}
-                                ></Form.Control>
-                                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на резерација:</label>
-                            </Form.Floating>
-                        </Row>
-                        <Row>
-                            <Col>
-                                <Form.Floating className="mb-3">
-                                    <Form.Control
-                                        size="lg"
-                                        type="text"
-                                        placeholder="Место:"
-                                        id="location"
-                                        name={'hourFrom'}
-                                        value={formData.hourFrom}
-                                    ></Form.Control>
-                                    <label style={{left: "10px"}} htmlFor="location">Време од:</label>
-                                </Form.Floating>
-                            </Col>
-                            <Col>
-                                <Form.Floating className="mb-3">
-                                    <Form.Control
-                                        size="lg"
-                                        type="text"
-                                        placeholder="Место:"
-                                        id="location"
-                                        name={'hourTo'}
-                                        value={formData.hourTo}
-                                    ></Form.Control>
-                                    <label style={{left: "10px"}} htmlFor="location">Време до:</label>
-                                </Form.Floating>
-                            </Col>
-                        </Row>
-                        <Row>
-                            <Form.Floating className="mb-3">
-                                <Form.Control
-                                    size="md"
-                                    type="number"
-                                    placeholder="Број на гости:"
-                                    id="floatingPassengers"
-                                    name={'numPeople'}
-                                    value={formData.numPeople}
-                                ></Form.Control>
-                                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
-                            </Form.Floating>
-                        </Row>
-                    </Col>
-                    <Col>
-                        <Container>
-                            <Row>
-                                <Carousel activeIndex={index} onSelect={handleSelect}>
-                                    {data.images.map((image) => {
-                                        let link = image.url;
-                                        if (image.url.includes('Desktop')) {
-                                            link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
-                                        }
-                                        return (
-                                            <Carousel.Item>
-                                                <img
-                                                    className="d-block w-100 h-400 rounded-5"
-                                                    src={link}
-                                                    alt="First slide"
-                                                    style={{ height: "50vh" }}
-                                                />
-                                            </Carousel.Item>
-                                        )
-                                    })}
-                                    {data.images.length == 0 && <Carousel.Item>
-                                        <img
-                                            className="d-block w-100 h-400 rounded-5"
-                                            src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7795.jpg"
-                                            alt="First slide"
-                                            style={{height: "50vh"}}
-                                        />
-                                    </Carousel.Item>}
-                                </Carousel>
-                            </Row>
-                            <Row>
-                                <Container></Container>
-                            </Row>
-                        </Container>
-                    </Col>
-                </Row>
-                <Row className="mb-5">
-                    <Col className="col-md-8"><DescriptionContainer data={data.restaurantDescription} type="restaurant"></DescriptionContainer></Col>
-                    <Col className="col-md-4"><ReviewsCarousel reviews={data.reviews}></ReviewsCarousel></Col>
-                </Row>
-                <Row className="mb-3"><MenuCarousel images={data.menuImages} menu={data.menus}></MenuCarousel></Row>
-                <Row><TablesTable params={formData} data={data.tables}></TablesTable></Row>
-                <Row><ContactBar></ContactBar></Row>
+                </Col>
+              </Row>
             </Container>
-        </>
-    );
+          </Col>
+        </Row>
+        <Row>
+          <Col
+            className="p-3 rounded-4"
+            sm={3}
+            style={{ backgroundColor: "#002B5B" }}
+          >
+            <Row>
+              <h3 className="mb-5 mt-3" style={{color: "white"}}>Критериуми од пребарувањето</h3>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="text"
+                  placeholder="Каде ќе патувате?:"
+                  id="location"
+                ></Form.Control>
+                <label htmlFor="location">Локација:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="date"
+                  placeholder="Датум на резервација:"
+                  id="date"
+                ></Form.Control>
+                <label htmlFor="dateFrom">Датум на резерација:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="time"
+                  placeholder="Време на пристигање:"
+                  id="time"
+                ></Form.Control>
+                <label htmlFor="time">Време на пристигање:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="number"
+                  placeholder="Број на гости:"
+                  id="floatingPassengers"
+                ></Form.Control>
+                <label htmlFor="floatingPassengers">Број на гости:</label>
+              </Form.Floating>
+            </Row>
+          </Col>
+          <Col>
+            <Container>
+              <Row>
+                <Carousel activeIndex={index} onSelect={handleSelect}>
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 h-400 rounded-5"
+                      src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7795.jpg"
+                      alt="First slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 rounded-5"
+                      src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7871.jpg"
+                      alt="Second slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 rounded-5"
+                      src="https://lh5.googleusercontent.com/p/AF1QipMQAwahuuJCJ2rDUYNrhnwiX1070adTsM6LmzV5=w480-h300-k-n"
+                      alt="Third slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                </Carousel>
+              </Row>
+              <Row>
+                <Container></Container>
+              </Row>
+            </Container>
+          </Col>
+        </Row>
+        <Row className="mb-5">
+          <Col className="col-md-8"><DescriptionContainer type="restaurant"></DescriptionContainer></Col>
+          <Col className="col-md-4"><ReviewsCarousel></ReviewsCarousel></Col>
+        </Row>
+        <Row className="mb-3"><MenuCarousel></MenuCarousel></Row>
+        <Row><ContactBar></ContactBar></Row>
+      </Container>
+    </>
+  );
 };
 
Index: frontend/src/Pages/RestaurantEditPage.js
===================================================================
--- frontend/src/Pages/RestaurantEditPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/RestaurantEditPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -6,6 +6,5 @@
 import RestaurantEditTab from "../Components/RestaurantEdit/RestaurantEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams, useSearchParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams, useSearchParams } from "react-router-dom";
 
 const RestaurantEditPage = () => {
Index: frontend/src/Pages/SearchPage.js
===================================================================
--- frontend/src/Pages/SearchPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/SearchPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,8 +1,8 @@
-import React, {useState} from "react";
+import React from "react";
 import Navigation from '../Components/Layout/Navbar/Navigation';
 import 'bootstrap/dist/css/bootstrap.css';
 import 'bootstrap/dist/js/bootstrap.js';
 import HomeCarousel from '../Components/Layout/CarouselHome/Carousel';
-import {Card, Container, Nav, Row, Col} from 'react-bootstrap';
+import { Card, Container, Nav, Row, Col } from 'react-bootstrap';
 import TabComponent from '../Components/Tab/Tab';
 import Offers from '../Components/Layout/Offers/Offers';
@@ -11,13 +11,10 @@
 import BecomeAHost from "../Components/BecomeAHost/BecomeAHost"
 import HotelLisitng from "../Components/Listings/HotelListing"
-import SearchCriteriasHotel from "../Components/SearchCriterias/SearchCriteriasHotel";
+import SearchCriterias from "../Components/SearchCriterias/SearchCriteriasBar";
 import SortButton from "../Components/Listings/SortButton";
 import FilterButton from "../Components/Listings/FilterButton";
 import TransportListing from "../Components/Listings/TransportListing";
 import useGet from "../Components/Hooks/useGet";
-import {useParams} from "react-router-dom";
-import SearchCriteriasBar from "../Components/SearchCriterias/SearchCriteriasBar";
-import RestaurantDetailsPage from "./RestaurantDetailsPage";
-import RestaurantListing from "../Components/Listings/RestaurantListing";
+import { useParams } from "react-router-dom";
 
 
@@ -26,5 +23,5 @@
     const params = useParams();
     console.log(params)
-    const [sortingArg, setSortingArg] = useState("")
+
 
     document.body.style.backgroundColor = "white"
@@ -38,73 +35,13 @@
 
     }
-
-    const getSortingFn = (type, arg) => {
-        if (type === 'hotel') {
-            if (arg === "priceAsc")
-            {
-                return (a, b) => {
-                    return a.totalPrice - b.totalPrice;
-                }
-            }
-            else if (arg === "priceDesc")
-            {
-                return (a, b) => {
-                    return -(a.totalPrice - b.totalPrice);
-                }
-            }
-            else if (arg === 'nameAsc')
-            {
-                return (a, b) => {
-                    return a.hotelName.localeCompare(b.hotelName);
-                }
-            }
-            else if(arg === 'nameDesc')
-            {
-                return (a, b) => {
-                    return -a.hotelName.localeCompare(b.hotelName);
-                }
-            }
-        }
-        else if (type === 'transport')
-        {
-            if (arg === "priceAsc")
-            {
-                return (a, b) => {
-                    return a.price - b.price;
-                }
-            }
-            else if (arg === "priceDesc")
-            {
-                return (a, b) => {
-                    return -(a.price - b.price);
-                }
-            }
-        }
-        else if (type === 'restaurant')
-        {
-            if (arg === 'nameAsc')
-            {
-                return (a, b) => {
-                    return a.restaurantName.localeCompare(b.restaurantName);
-                }
-            }
-            else if(arg === 'nameDesc')
-            {
-                return (a, b) => {
-                    return -a.restaurantName.localeCompare(b.restaurantName);
-                }
-            }
-        }
-    }
-
-    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}&numPassengers=${params.numPassengers}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}&flexible=${params.flexible}` : `/restaurant/search?restaurantLocation=${params.restaurantLocation}&date=${params.date}&hourFrom=${params.hourFrom}&hourTo=${params.hourTo}&numPeople=${params.numPeople}`
+    
+    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : ""
     console.log(link)
-    console.log(params.date)
-    const {data, isLoading, getData, setData} = useGet(link);
+    const { data, isLoading, getData, setData } = useGet(link);
     !isLoading && console.log(data)
     return (
         <>
             <Navigation></Navigation>
-            <SearchCriteriasBar type={props.type} criterias={useParams()}></SearchCriteriasBar>
+            <SearchCriterias criterias={useParams()}></SearchCriterias>
             <Container className="d-flex justify-content-end gx-5" style={{maxWidth: "60%"}}>
                 <Row>
@@ -113,21 +50,16 @@
                     </Col>
                     <Col>
-                        <SortButton setSortingArg={setSortingArg} type={props.type}></SortButton>
+                        <SortButton></SortButton>
                     </Col>
                 </Row>
             </Container>
             {props.type === "hotel" && !isLoading && data && <Container fluid>
-                {data.sort(getSortingFn(props.type, sortingArg)).map(hotel => {
+                {data.map(hotel => {
                     return <HotelLisitng from={params.dateFrom} to={params.dateTo} data={hotel}/>
                 })}
-            </Container>}
+                </Container>}
             {props.type === "transport" && !isLoading && data && <Container fluid>
-                {data.sort(getSortingFn(props.type, sortingArg)).map(transport => {
-                    return <TransportListing params={params} data={transport}/>
-                })}
-            </Container>}
-            {props.type === "restaurant" && !isLoading && data && <Container fluid>
-                {data.sort(getSortingFn(props.type, sortingArg)).map(restaurant => {
-                    return <RestaurantListing params={params} data={restaurant}/>
+                {data.map(transport => {
+                    return <TransportListing data={transport}/>
                 })}
             </Container>}
Index: frontend/src/Pages/TransportDetailsPage.js
===================================================================
--- frontend/src/Pages/TransportDetailsPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/TransportDetailsPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,8 +1,8 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
-import {Container, Row, Col, Form, Image, Button, Modal} from "react-bootstrap";
+import { Container, Row, Col, Form, Image, Button } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
-import {useState} from "react";
+import { useState } from "react";
 import DescriptionContainer from "../Components/HotelDetails/DescriptionContainer";
 import ReviewsCarousel from "../Components/HotelDetails/ReviewsCarousel";
@@ -10,197 +10,115 @@
 import ContactBar from "../Components/HotelDetails/ContactBar";
 import RouteContainer from "../Components/TransportDetails/RouteContainer";
-import {useLocation, useParams} from "react-router-dom";
-import SearchCriteriasTransport from "../Components/SearchCriterias/SearchCriteriasTransport";
-import SearchCriteriasBar from "../Components/SearchCriterias/SearchCriteriasBar";
-import useCreate from "../Components/Hooks/useCreate";
+import { useLocation } from "react-router-dom";
 
 const TransportDetailsPage = (props) => {
-    document.body.style.backgroundColor = "white";
-    const {createEntity} = useCreate()
+  document.body.style.backgroundColor = "white";
 
-    const [index, setIndex] = useState(0);
-    const [getData, setData] = useState(0);
+  const [index, setIndex] = useState(0);
 
-    const location = useLocation();
-    const {data, params} = location.state;
-    const [show, setShow] = useState(false);
-    const handleClose = () => setShow(false);
-    const handleShow = () => setShow(true);
-    const route = data.transportRoutes.filter(x => x.from === params.from && x.to === params.to)[0];
-    const dateFormatter = (str) => {
-        const inputDate = new Date(str);
+  const location = useLocation();
+  const { data } = location.state;
 
-        const options = {
-            year: 'numeric',
-            month: '2-digit',
-            day: '2-digit',
-            hour12: false,
-            hour: '2-digit',
-            minute: '2-digit'
-        };
+  const handleSelect = (selectedIndex) => {
+    setIndex(selectedIndex);
+  };
 
-        return inputDate.toLocaleString('de-DE', options);
-
-    }
-
-    const handleSelect = (selectedIndex) => {
-        setIndex(selectedIndex);
-    };
-
-    return (
-        <>
-            <Navigation/>
-            <Container className="my-3">
-                <Row>
-                    <span><h2 style={{color: "#159895", textAlign: 'left'}}>Вашето пребарување</h2></span>
-                </Row>
-                <SearchCriteriasBar type={'transport'} showButton={false} criterias={params}></SearchCriteriasBar>
-                <Row className="d-flex justify-content-between">
-                    <Col style={{textAlign: "left"}}>
-                        <span>
-                            <h3 style={{color: "#159895"}}><b>Резултантна рута</b></h3>
-                            <h2 style={{color: "#159895"}}>{data.from} - {data.to}</h2>
-                            <h5 style={{color: "#159895"}}>({data.routes.join(", ")})</h5>
-                        </span>
-                    </Col>
-                    <Col>
-                        <Container>
-                            <Row className="mb-4">
-                                <Col style={{textAlign: "right"}}>
+  return (
+    <>
+      <Navigation />
+      <Container className="my-3">
+        <Row className="d-flex justify-content-between">
+          <Col style={{textAlign: "left"}}>
+            <span><h2 style={{color: "#159895"}}>{data.from} - {data.to}</h2><h5 style={{color: "#159895"}}>({data.routes.join(", ")})</h5></span>
+          </Col>
+          <Col>
+            <Container>
+              <Row className="mb-4">
+                <Col style={{textAlign: "right"}}>
                   <span
-                      style={{
-                          backgroundColor: "#159895",
-                          padding: "0.75em",
-                          fontWeight: "bold",
-                          fontSize: "1.25rem",
-                          borderRadius: "0.75em",
-                          color: "white",
-                      }}
+                    style={{
+                      backgroundColor: "#159895",
+                      padding: "0.75em",
+                      fontWeight: "bold",
+                      fontSize: "1.25rem",
+                      borderRadius: "0.75em",
+                      color: "white",
+                    }}
                   >
                     9.1
                   </span>
-                                </Col>
-                            </Row>
-                        </Container>
-                    </Col>
-                </Row>
-                <Row>
-                    <RouteContainer data={data}></RouteContainer>
-                </Row>
-                <hr></hr>
-                <Row>
-                    <Col>
-                        <h3>Одбрана рута</h3>
-                    </Col>
-                    <Col>
-                        <h3>{params.from + ' - ' + params.to}</h3>
-                    </Col>
-                </Row>
-                <hr></hr>
-                <Row>
-                    <Col>
-                        <h3>Очекувано време на поаѓање</h3>
-                    </Col>
-                    <Col>
-                        <h3>{dateFormatter(route.departure)}</h3>
-                    </Col>
-                </Row>
-                <hr></hr>
-                <Row>
-                    <Col>
-                        <h3>Цена</h3>
-                    </Col>
-                    <Col>
-                        <h3>{data.price}$</h3>
-                    </Col>
-                </Row>
-                <hr></hr>
-                <Row>
-                    <Col className="d-flex flex-column justify-content-center">
-                        <h3>Возач</h3>
-                    </Col>
-                    <Col className="d-flex flex-column justify-content-center">
-                        <Container className="d-flex flex-row justify-content-center mb-3" style={{paddingLeft: "28%"}}>
-                            <Col className="d-flex flex-column justify-content-center" style={{maxWidth: "30%"}}>
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "4em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex flex-column justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{data.transport.owner.name} {data.transport.owner.surname.substring(0, 1)}.</h4>
-                                </Container>
-                            </Col>
-                        </Container>
-                    </Col>
-                </Row>
-                <hr></hr>
-                <Row>
-                    <Col>
-                        <h3>Возило</h3>
-                    </Col>
-                    <Col>
-                        <h3>{data.transport.carBrand + " " + data.transport.carType}</h3>
-                    </Col>
-                </Row>
-                <hr></hr>
-                <Row>
-                    <Col className="d-flex flex-column justify-content-center">
-                        <h3>Број на патници</h3>
-                    </Col>
-                    <Col md="auto" className="d-flex flex-column justify-content-center">
-                        <Form.Select onChange={(e) => {
-                            setData(e.target.value)
-                        }} aria-label="Default select example">
-                            <option></option>
-                            {[...Array(route.freeSpace).keys()].map(x => {
-                                return (
-                                    <option value={x+1}  >{x + 1}</option>
-                                )
-                            })}
-                        </Form.Select>
-                    </Col>
-                    <Col>
-                        <Button className="m-2" size="lg" style={{backgroundColor: "#159895"}} onClick={handleShow}>Резервирај</Button>
-                    </Col>
-                </Row>
-                <Row><ContactBar></ContactBar></Row>
+                </Col>
+              </Row>
             </Container>
-
-            <Modal show={show} size={'lg'} onHide={handleClose}>
-                <Modal.Header closeButton>
-                    <Modal.Title>Потврда на резервација</Modal.Title>
-                </Modal.Header>
-                <Modal.Body>
-                    <h4>Резервација на рута</h4>
-                    <h3>{route.from + ' ' + route.to}</h3>
-                    <h4>Време на поаѓање:<b>{' ' + dateFormatter(route.departure)}</b></h4>
-                    <h4>Време на престигнување:<b>{' ' + dateFormatter(route.arrival)}</b></h4>
-                    <h4>Број на патници:<b>{' ' + getData}</b></h4>
-                </Modal.Body>
-                <Modal.Footer>
-                    <Button variant="secondary" onClick={handleClose}>
-                        Close
-                    </Button>
-                    <Button variant="primary" onClick={() => {
-                        createEntity('transport/reserve', {
-                            transportRouteId: route.routeId,
-                            userId: 1,
-                            numSeats: getData
-                        })
-                        handleClose();
-                    }}>
-                        Резервирај
-                    </Button>
-                </Modal.Footer>
-            </Modal>
-        </>
-    );
+          </Col>
+        </Row>
+        <Row>
+            <RouteContainer data={data}></RouteContainer>
+        </Row>
+        <hr></hr>
+        <Row>
+            <Col>
+               <h3>Цена</h3>     
+            </Col>
+            <Col>
+                <h3>{data.price}$</h3>
+            </Col>
+        </Row>
+        <hr></hr>
+        <Row>
+            <Col className="d-flex flex-column justify-content-center">
+               <h3>Возач</h3>     
+            </Col>
+            <Col className="d-flex flex-column justify-content-center">
+            <Container className="d-flex flex-row justify-content-center mb-3" style={{paddingLeft: "28%"}}>
+              <Col className="d-flex flex-column justify-content-center" style={{maxWidth: "30%"}}>
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "4em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex flex-column justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.transport.owner.name} {data.transport.owner.surname.substring(0, 1)}.</h4>
+                </Container>
+              </Col>
+            </Container>
+            </Col>
+        </Row>
+        <hr></hr>
+        <Row>
+            <Col>
+               <h3>Возило</h3>     
+            </Col>
+            <Col>
+                <h3>{data.transport.carBrand + " " + data.transport.carType}</h3>
+            </Col>
+        </Row>
+        <hr></hr>
+        <Row>
+            <Col className="d-flex flex-column justify-content-center">
+                <h3>Број на патници</h3>
+            </Col>
+            <Col md="auto" className="d-flex flex-column justify-content-center"> 
+            <Form.Select aria-label="Default select example">
+                <option></option>
+                <option value="1">1</option>
+                <option value="2">2</option>
+                <option value="3">3</option>
+              </Form.Select>
+            </Col>
+            <Col >   
+            <Button className="m-2" size="lg" style={{backgroundColor: "#159895"}}>Резервирај</Button>
+            </Col>
+        </Row>
+        <Row><ContactBar></ContactBar></Row>
+      </Container>
+    </>
+  );
 };
 
Index: frontend/src/Pages/TransportEditPage.js
===================================================================
--- frontend/src/Pages/TransportEditPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/TransportEditPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,4 +1,4 @@
-import React, {useState} from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import React, { useState } from "react";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
@@ -7,58 +7,56 @@
 import TransportEditTab from "../Components/TransportEdit/TransportEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams } from "react-router-dom";
 
 const TransportEditPage = () => {
+  const params = useParams();
+  console.log("transportot ima id " + params.transportId);
+  const link = "/transport/" + params.transportId;
+  const [changed, setChanged] = useState(0);
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
-    const params = useParams();
+  !isLoading && console.log(data)
 
-    const link = "/transport/" + params.transportId;
-
-    const {data, setData, isLoading, getData, setChanged} = useGet(link);
-
-    !isLoading && console.log(data)
-
-    return (
-        <>
-            <Navigation/>
-            {!isLoading && (
-                <Container>
-                    <Row className="mb-5">
-                        <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                    </Row>
-                    <Row className="mb-5">
-                        <Col>
-                            <Row className="d-flex mb-3">
-                                <Col
-                                    className="d-flex justify-content-center"
-                                    style={{maxWidth: "30%"}}
-                                >
-                                    <Image
-                                        src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                        style={{
-                                            height: "5em",
-                                            borderRadius: "50%",
-                                            maxWidth: "100%",
-                                        }}
-                                        className="m-auto"
-                                    ></Image>
-                                </Col>
-                                <Col className="d-flex justify-content-center">
-                                    <Container className="pt-2" style={{textAlign: "left"}}>
-                                        <h4>{data.transportName}</h4>
-                                        <h5>{data.carBrand + " " + data.carType}</h5>
-                                    </Container>
-                                </Col>
-                            </Row>
-                        </Col>
-                    </Row>
-                    <Row>
-                        {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
-                    </Row>
-                </Container>
-            )}
-        </>
-    );
+  return (
+    <>
+      <Navigation />
+      {!isLoading && (
+        <Container>
+          <Row className="mb-5">
+            <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+          </Row>
+          <Row className="mb-5">
+            <Col>
+              <Row className="d-flex mb-3">
+                <Col
+                  className="d-flex justify-content-center"
+                  style={{ maxWidth: "30%" }}
+                >
+                  <Image
+                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                    style={{
+                      height: "5em",
+                      borderRadius: "50%",
+                      maxWidth: "100%",
+                    }}
+                    className="m-auto"
+                  ></Image>
+                </Col>
+                <Col className="d-flex justify-content-center">
+                  <Container className="pt-2" style={{ textAlign: "left" }}>
+                    <h4>{data.transportName}</h4>
+                    <h5>{data.carBrand + " " + data.carType}</h5>
+                  </Container>
+                </Col>
+              </Row>
+            </Col>
+          </Row>
+          <Row>
+            {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
+          </Row>
+        </Container>
+      )}
+    </>
+  );
 };
 
Index: frontend/src/Pages/UserReservationsManagement.js
===================================================================
--- frontend/src/Pages/UserReservationsManagement.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from "react";
-import {Container, Col, Row, Image, Tabs, Tab} from "react-bootstrap";
-import Navigation from "../Components/Layout/Navbar/Navigation";
-import ResourcesTab from "../Components/Resources/ResourcesTab";
-import {useState} from "react";
-import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
-import {FaCheckCircle} from "react-icons/fa";
-import UnapprovedBusinessesTable from "../Components/AdminPanel/UnapprovedBusinessesTable";
-import UnapprovedProfilesTable from "../Components/AdminPanel/UnapprovedProfilesTable";
-import AllProfilesTable from "../Components/AdminPanel/AllProfilesTable";
-import TypeSelectionTab from "../Components/UserPanel/TypeSelectionTab";
-
-const UserReservationsManagement = (props) => {
-
-    console.log(props.tab)
-
-
-    return (
-        <>
-            <Navigation/>
-            <Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Менаџмент со резервации</h2>
-                </Row>
-            </Container>
-            <Container>
-                <TypeSelectionTab/>
-            </Container>
-        </>)
-}
-
-export default UserReservationsManagement;
